#!/usr/bin/env ruby
# coding: utf-8
# -*- coding: utf-8 -*-

puts"★課題管理表★"
puts"只今の時刻は"
x = Time.now
printf("%s \n", x.strftime("%Y年%m月%d日 %H時%M分%S秒"))
hizuke = x.strftime("%Y年%%M月%d日 %H時%M分%S秒")
sleep(1)
puts""
puts"何をしますか?\n1:提出日までは何日?\n2:カレンダーの確認\n3:提出日までの日数\n4:課題の入力、確認\n5:プログラムの終了"

while true
  puts"答えを入力"
  sentaku = gets.to_i

  if sentaku == 1
    require"date"

    d1 = Date.today
    tosi = Date.today.year
    puts"〰日数計算プログラム〰"
    puts"課題提出日は?\n何月ですか?\n数字を入力してください"
    tuki = gets.to_i
    puts"何日ですか?\n数字を入力してください"
    niti = gets.to_i
    d2 = Date.new(tosi,tuki,niti)

    puts("課題提出日までの残りの日数は"+(d2-d1).to_s + "日")
    break
  elsif sentaku == 2
    require'date'
    head = Date.today.strftime("%B, %Y")
    year = Date.today.year
    mon = Date.today.mon
    firstday_wday = Date.new(year,mon,1).wday
    lastday_date = Date.new(year,mon,-1).day
    week = %w(Su Mo Tu We Th Fr Sa)
    puts head.center(20)
    puts week.join(" ")
    print "   " * firstday_wday
    wday = firstday_wday
    (1..lastday_date).each do |date|
      print date.to_s.rjust(2) + " "
      wday = wday+1
      if wday%7==0
        print "\n"
      end
    end  #引用 https://qiita.com/sacckey/items/8fc236bb054aff6b74cs

    if wday%7!=0
      print "\n"
    end

  elsif sentaku == 3
    puts"残りの日数は?\n課題提出日は?\n何月?"
    tuki1 = gets.to_i
    puts"何日?"
    niti1 = gets.to_i
    printf("課題提出日は%d月%d日です。\n", tuki1, niti1)
    puts"今日は?\n何月?"
    tuki2 = gets.to_i
    puts"何日?"
    niti2 = gets.to_i
    printf("今日は%d月%d日です。\n", tuki2, niti2)
    kekka1 = tuki1 -= tuki2
    kekka2 = niti1 -= niti2
    printf("課題提出日まで%dヶ月%d日。\n", kekka1, kekka2)

  elsif sentaku == 4
    puts"〰どちらにしますか?〰\n1:課題の入力します\n2:課題の確認をします"
    kadaikotae = gets.to_i

    if kadaikotae == 1
      puts"課題を入力します\n課題の内容は?"
      kadainaiyou = gets.chomp
      puts"課題提出日は?\n何月?"
      kadaituki = gets.to_i
      puts"何日?"
      kadaihiniti = gets.to_i
      sougou = "提出日は#{kadaituki}月#{kadaihiniti}日\n#{kadainaiyou}"
      file = File.open("kadai.txt","a")
      file.write(sougou)
      file.close
      file = File.open("kadai.txt","r")
      puts(file.read)
      file.close
    end

  elsif sentaku == 5
    puts"プログラムを終了します"
    sleep(2)
    break
    
  elsif
    puts"その選択肢は無いよ!"
    redo
  end
end
